package com.sf.sx2;

public class Student {
    //  4个属性
    /**
     * private    权限修饰符中的一种
     * 只能够在当前类中进行使用
     * name  赋值
     * public 方法
     *
     *
     *类中三件套：
     * 构造器
     * getterSetter方法
     * toString();
     */
    private String name;
    private int age;
    private double height;
    private double  weight;

    /**
     * 构造器的作用：
     * 1、属性的赋值
     * 2、对象的创建
     * 当前类中包含有参构造器，系统不会产生无参构造器，否则会自动生成无参构造器
     */
    public Student(){

    }
    public Student(String name,int age,double height,double weight){
        this.name = name;
        this.age = age;
        this.height = height;
        this.weight = weight;
    }
    public void setName(String name){
        this.name = name;
    }
    public String getName(){
        return name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public double getHeight() {
        return height;
    }

    public void setHeight(double height) {
        this.height = height;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }


    @Override
    public String toString() {
        return "Student{" +
                "name='" + name + '\'' +
                ", age=" + age +
                ", height=" + height +
                ", weight=" + weight +
                '}';
    }

    public static void main(String[] args) {
        Student student = new Student();
        student.setAge(12);
        System.out.println(student);
    }


    /**
     * **练习2：** Person中添加phone属性
     *
     * - 定义一个Phone类，cpu核心数，ram内存,rom存储,一个getInfo()方法返回phone的信息。
     *
     *
     * - 在类中定义一个方法printInfo()，该方法的定义如下：
     *   - public void printInfo(Phone p)，在printInfo方法中调用getInfo方法输出手机的信息。
     *
     * - 在测试类中，创建Person和Phone 测试。
     */
}
